/[gentoo-x86]/www-apps/moodle/ChangeLog
Gentoo

Contents of /www-apps/moodle/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.37 - (show annotations) (download)
Sun Jan 27 16:11:50 2013 UTC (17 months, 3 weeks ago) by blueness
Branch: MAIN
Changes since 1.36: +5 -1 lines
Remove vulnerable versions, bug #454318

(Portage version: 2.1.11.31/cvs/Linux x86_64, signed Manifest commit with key 0xF52D4BBA)

1 # ChangeLog for www-apps/moodle
2 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/ChangeLog,v 1.36 2013/01/12 22:09:09 blueness Exp $
4
5 27 Jan 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.6.ebuild,
6 -moodle-2.3.3.ebuild, -moodle-2.4.ebuild:
7 Remove vulnerable versions, bug #454318
8
9 *moodle-2.2.7 (12 Jan 2013)
10 *moodle-2.3.4 (12 Jan 2013)
11 *moodle-2.4.1 (12 Jan 2013)
12
13 12 Jan 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.7.ebuild,
14 +moodle-2.3.4.ebuild, +moodle-2.4.1.ebuild, -moodle-2.1.9.ebuild:
15 Version bumps
16
17 *moodle-2.4 (07 Dec 2012)
18
19 07 Dec 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.ebuild:
20 Version bump to new branch
21
22 15 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.8.ebuild,
23 -moodle-2.2.5.ebuild, -moodle-2.3.2.ebuild:
24 Remove vulnerable versions, bug #443102
25
26 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.19.ebuild,
27 -moodle-2.0.10.ebuild:
28 Remove older unsupported versions
29
30 *moodle-2.1.9 (10 Nov 2012)
31 *moodle-2.3.3 (10 Nov 2012)
32 *moodle-2.2.6 (10 Nov 2012)
33
34 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.9.ebuild,
35 +moodle-2.2.6.ebuild, +moodle-2.3.3.ebuild:
36 Version bumps
37
38 17 Sep 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.7.ebuild,
39 -moodle-2.2.4.ebuild, -moodle-2.3.1.ebuild:
40 Drop vulnerable versions, bug #435364
41
42 *moodle-2.3.2 (12 Sep 2012)
43 *moodle-2.2.5 (12 Sep 2012)
44 *moodle-2.1.8 (12 Sep 2012)
45
46 12 Sep 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.8.ebuild,
47 +moodle-2.2.5.ebuild, +moodle-2.3.2.ebuild:
48 Version bumps
49
50 24 Aug 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
51 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
52 moodle-2.3.1.ebuild:
53 Use REQUIRED_USE so at least one backend db is provided, bug #432354
54
55 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
56 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
57 moodle-2.3.1.ebuild:
58 Keyword ~mips
59
60 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.18.ebuild,
61 -moodle-2.0.9.ebuild, -moodle-2.1.6.ebuild, -moodle-2.2.3.ebuild,
62 -moodle-2.3.ebuild:
63 Punt older versions
64
65 *moodle-2.3.1 (06 Jul 2012)
66 *moodle-2.2.4 (06 Jul 2012)
67 *moodle-2.1.7 (06 Jul 2012)
68 *moodle-2.0.10 (06 Jul 2012)
69 *moodle-1.9.19 (06 Jul 2012)
70
71 06 Jul 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.19.ebuild,
72 +moodle-2.0.10.ebuild, +moodle-2.1.7.ebuild, +moodle-2.2.4.ebuild,
73 +moodle-2.3.1.ebuild:
74 Version bump
75
76 *moodle-2.3 (26 Jun 2012)
77
78 26 Jun 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.ebuild:
79 Version bump
80
81 23 May 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.17.ebuild,
82 -moodle-2.0.8.ebuild, -moodle-2.1.5.ebuild, -moodle-2.2.2.ebuild:
83 Punt vulnerable versions, bug #417217
84
85 *moodle-2.2.3 (16 May 2012)
86 *moodle-2.1.6 (16 May 2012)
87 *moodle-2.0.9 (16 May 2012)
88 *moodle-1.9.18 (16 May 2012)
89
90 16 May 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.18.ebuild,
91 +moodle-2.0.9.ebuild, +moodle-2.1.6.ebuild, +moodle-2.2.3.ebuild:
92 Version bump all branches
93
94 04 Apr 2012; Anthony G. Basile <blueness@gentoo.org>
95 -moodle-1.9.16-r1.ebuild, -moodle-2.0.7-r1.ebuild, -moodle-2.1.4-r1.ebuild,
96 -moodle-2.2.1-r1.ebuild:
97 Remove older vulnerable versions
98
99 *moodle-2.2.2 (12 Mar 2012)
100 *moodle-2.1.5 (12 Mar 2012)
101 *moodle-2.0.8 (12 Mar 2012)
102 *moodle-1.9.17 (12 Mar 2012)
103
104 12 Mar 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.17.ebuild,
105 +moodle-2.0.8.ebuild, +moodle-2.1.5.ebuild, +moodle-2.2.2.ebuild:
106 Version bumps
107
108 07 Mar 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.16.ebuild,
109 moodle-1.9.16-r1.ebuild, -moodle-2.0.7.ebuild, moodle-2.0.7-r1.ebuild,
110 -moodle-2.1.4.ebuild, moodle-2.1.4-r1.ebuild, -moodle-2.2.1.ebuild,
111 moodle-2.2.1-r1.ebuild:
112 Remove older versions depending on php with gd-external
113
114 *moodle-2.2.1-r1 (29 Jan 2012)
115 *moodle-2.1.4-r1 (29 Jan 2012)
116 *moodle-2.0.7-r1 (29 Jan 2012)
117 *moodle-1.9.16-r1 (29 Jan 2012)
118
119 29 Jan 2012; Anthony G. Basile <blueness@gentoo.org>
120 +moodle-1.9.16-r1.ebuild, +moodle-2.0.7-r1.ebuild, +moodle-2.1.4-r1.ebuild,
121 +moodle-2.2.1-r1.ebuild:
122 Remove gd-external, fix depend on >=php5.3* for moodle 2.1* and 2.2*,
123 add session to PHP_REQUIRED_FLAGS_*, bug #400853
124
125 14 Jan 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.15.ebuild,
126 -moodle-2.0.6.ebuild, -moodle-2.1.3.ebuild:
127 Removed vulnerable versions
128
129 *moodle-2.2.1 (08 Jan 2012)
130
131 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.1.ebuild:
132 Added ebuild for the 2.2 branch
133
134 *moodle-2.1.4 (08 Jan 2012)
135 *moodle-2.0.7 (08 Jan 2012)
136 *moodle-1.9.16 (08 Jan 2012)
137
138 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.16.ebuild,
139 +moodle-2.0.7.ebuild, +moodle-2.1.4.ebuild:
140 Version bumps
141
142 07 Dec 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.14.ebuild,
143 -moodle-2.0.5.ebuild, -moodle-2.1.2.ebuild:
144 Removed vulnerable versions, bug #393475
145
146 *moodle-2.1.3 (29 Nov 2011)
147 *moodle-2.0.6 (29 Nov 2011)
148 *moodle-1.9.15 (29 Nov 2011)
149
150 29 Nov 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.15.ebuild,
151 +moodle-2.0.6.ebuild, +moodle-2.1.3.ebuild:
152 Version bumps
153
154 19 Oct 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.13.ebuild,
155 -moodle-2.0.4.ebuild, -moodle-2.1.1.ebuild:
156 Remove deprecated versions
157
158 *moodle-2.1.2 (09 Oct 2011)
159 *moodle-2.0.5 (09 Oct 2011)
160 *moodle-1.9.14 (09 Oct 2011)
161
162 09 Oct 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.14.ebuild,
163 +moodle-2.0.5.ebuild, +moodle-2.1.2.ebuild:
164 Version bumps
165
166 18 Aug 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.12.ebuild,
167 -moodle-2.0.3.ebuild, -moodle-2.1.ebuild:
168 Removed decprecated versions
169
170 *moodle-2.1.1 (02 Aug 2011)
171 *moodle-2.0.4 (02 Aug 2011)
172 *moodle-1.9.13 (02 Aug 2011)
173
174 02 Aug 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.13.ebuild,
175 +moodle-2.0.4.ebuild, +moodle-2.1.1.ebuild:
176 Version bumps
177
178 12 Jul 2011; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.12.ebuild,
179 moodle-2.0.3.ebuild, moodle-2.1.ebuild:
180 Make moodle depend on either php[gd] or php[gd-external], bug #374605
181
182 *moodle-2.1 (09 Jul 2011)
183
184 09 Jul 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.11.ebuild,
185 -moodle-2.0.2.ebuild, +moodle-2.1.ebuild:
186 Version bump, removed depcreated
187
188 *moodle-2.0.3 (11 May 2011)
189 *moodle-1.9.12 (11 May 2011)
190
191 11 May 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.12.ebuild,
192 +moodle-2.0.3.ebuild:
193 Version bumps address several security issues.
194 See http://docs.moodle.org/en/Moodle_1.9.12_release_notes
195 and http://docs.moodle.org/en/Moodle_2.0.3_release_notes
196
197 10 Mar 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.9.ebuild,
198 -moodle-1.9.9-r1.ebuild, -moodle-1.9.10.ebuild, -moodle-2.0.1.ebuild:
199 Removed decprecated versions, bug #353431
200
201 *moodle-2.0.2 (22 Feb 2011)
202 *moodle-1.9.11 (22 Feb 2011)
203
204 22 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
205 +moodle-1.9.11.ebuild, +moodle-2.0.2.ebuild, files/postinstall-en.txt:
206 Version bumps.
207
208 *moodle-2.0.1 (08 Jan 2011)
209
210 08 Jan 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-2.0.1.ebuild:
211 Version bump
212
213 *moodle-1.9.10 (29 Oct 2010)
214
215 29 Oct 2010; Anthony G. Basile <blueness@gentoo.org>
216 +moodle-1.9.10.ebuild:
217 Version bump
218
219 *moodle-1.9.9-r1 (13 Aug 2010)
220
221 13 Aug 2010; Anthony G. Basile <blueness@gentoo.org>
222 +moodle-1.9.9-r1.ebuild, files/postinstall-en.txt:
223 Ported to EAPI 2 USE deps. Bug #332165
224
225 *moodle-1.9.9 (19 Jul 2010)
226
227 19 Jul 2010; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.9.ebuild,
228 +files/config.php, +files/postinstall-en.txt,
229 +files/postinstall-nodb-en.txt, +metadata.xml:
230 New ebuild by Anthony G. Basile. Bug #104275

  ViewVC Help
Powered by ViewVC 1.1.20